Skip to main content
GET
/
projects
/
{project_reference}
/
channels
List channel bindings
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/channels \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "platform": "slack",
      "enabled": true,
      "platform_team_id": "<string>",
      "platform_bot_id": "<string>",
      "respond_to": "mentions",
      "allowed_channels": [
        "<string>"
      ],
      "status": "connected",
      "runtime_target_kind": "production",
      "resolved_target": {
        "runtime_target": {
          "kind": "production",
          "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "resolved_environment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "resolved_branch": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "resolved_deployment": {
          "id": "<string>",
          "runtime_version": "<string>",
          "deployment_revision": "<string>",
          "last_deployed_at": "<string>"
        },
        "resolved_managed_domain": {
          "domain": "<string>",
          "health_url": "<string>"
        },
        "resolved_invoke_mode": "dispatch_override",
        "last_resolution_error": {
          "code": "<string>",
          "retryable": true,
          "message": "<string>"
        }
      },
      "created_at": "<string>",
      "updated_at": "<string>",
      "binding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "installation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "assistant_id": "<string>",
      "workspace_name": "<string>",
      "welcome_message": "<string>",
      "error_message": "<string>",
      "max_response_tokens": 1,
      "target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Path Parameters

project_reference
string
required

Project ID or slug

Response

Project channel bindings

data
object[]
required